#pragma once

#define TRACKRECORD_MAX 100

enum SCORELINE_READMODE {
	SCORELINE_READALL,
	SCORELINE_READL30,
	SCORELINE_READL50,
	SCORELINE_READL100,
	SCORELINE_READL30S,	/*  */
	SCORELINE_READL50S,
	SCORELINE_READL100S,
	SCORELINE_READ_MAX,
};

void ScoreLine_Clear();
void ScoreLine_Append(int index1P, int index2P, int win);
int  ScoreLine_Read(int index1P, int index2P, int win);
DWORD& ScoreLine_Reference(int index1P, int index2P, int win);
void ScoreLine_SetReadMode(int mode);
int  ScoreLine_GetReadMode();
void TrackRecord_Clear();

LPCSTR ScoreLine_GetPath();

bool ScoreLine_Map(LPCSTR fileName, bool create = true);
void ScoreLine_Unmap();
